libstdc++

Classes | Namespaces | Macros
typeinfo File Reference

Go to the source code of this file.

## Classes

class | std::bad_cast
| Thrown during incorrect typecasting.If you attempt an invalid `dynamic_cast` expression, an instance of this class (or something derived from this class) is thrown. More...
class | std::bad_typeid
| Thrown when a NULL pointer in a `typeid` expression is used. More...
class | std::type_info
| Part of RTTI. More...

## Namespaces

namespace | std

## Macros

#define | __GXX_MERGED_TYPEINFO_NAMES
#define | __GXX_TYPEINFO_EQUALITY_INLINE
#define | _TYPEINFO

## Detailed Description

This is a Standard C++ Library header.

Definition in file typeinfo.